Skip to main content

Malware Scan Status Check

After requesting a malware scan, you can check the scan progress and results.

Notes

  • Polling: If the inspection is in progress (code: 3), you need to check again after 500ms.
  • Virus Names: When multiple viruses are detected, separated by commasscanMessageis returned.

Method

GET

/inspection/malware/{jobId}

Request Path Parameter

KEYOBJECTDESC
jobIdStringWork ID received upon request for inspection (required)

Response Body (json)

KEYOBJECTDESC
codeintTest Result Code (see table below)
msgStringResult Message
jobIdStringWork ID
logReasonintLogin Reason Code
scanMessageStringMalware detection malware name (optional)

Response Code

CODEDESCDESC_DETAIL
0Inspection completedThe inspection has been completed normally. It distinguishes between undetected (990001) or detected (990003) using logReason.
1Inspection ExceptionThe scan was not executed due to file size exceeding, antivirus not used, duplicate requests, queue overflow, etc.
2Inspection ErrorA communication error with the vaccine service, engine error, request error, etc. An error occurred during the inspection.
3In Progress InspectionCurrently performing a virus scan on the file.
5Access DeniedAccess to the API has been blocked by access control.

Log Reason Code

This is the result returned from the status inquiry.

In Progress

code: 3

CODEMESSAGEDESC
990017Waiting for vaccine inspectionThe request has been received and is waiting to be processed in the queue.
990002Vaccine inspection in progressCurrently performing a virus scan on the file.

success

code: 0

CODEMESSAGEDESC
990001Virus Not DetectedNo virus detected.
990002Vaccine test in progressCurrently performing a virus scan on the file.
990003[Blocked] Virus Detection (Delete Infected Files)A virus has been detected in the uploaded file.

exception

code: 1

CODEMESSAGEDESC
990008[Exception] Vaccine inspection file size exceededThe file size exceeds the antivirus scan limit, and the scan was not performed.
990010[Exception] Duplicate Task ID Check RequestThe inspection request was not performed with the existing task ID. Please use a different task ID.
990011[Exception] Vaccine Scan Not UsedThe vaccine inspection feature is disabled.
990015[Exception] Vaccine Scan Queue OverflowThe server's processing queue is full and cannot accept requests. Please try again later.

Error

code: 2

CODEMESSAGEDESC
990007[Error] Vaccine Service Communication ErrorAn error occurred during the vaccine service and communication process, and it could not be checked.
990013[Error] Vaccine Service ErrorAn error occurred during the inspection process of the vaccine engine, and it could not be inspected.
990014[Error] Vaccine Inspection Request ErrorAn error occurred before the request for the vaccine service, so it could not be checked.
990016[Error] Vaccine scan timeoutThe inspection time for the vaccine engine has exceeded, and results cannot be provided.

Sample

REQUEST

curl -X GET "{{url}}/inspection/malware/8bc422e1-af1b-11f0-bf7b-7117406ac6f5"

RESPONSE - Vaccine inspection in progress (200 OK)

{
"code": 3,
"msg": "현재 파일에 대해 바이러스 검사를 진행 중입니다.",
"jobId": "8bc422e1-af1b-11f0-bf7b-7117406ac6f5"
}

RESPONSE - Virus Not Detected (200 OK)

{
"code": 0,
"msg": "바이러스가 검출되지 않았습니다.",
"jobId": "8bc422e1-af1b-11f0-bf7b-7117406ac6f5",
"logReason": 990001
}

RESPONSE - [Blocked] Virus Detection (Delete Infected File) (200 OK)

{
"code": 0,
"msg": "업로드하신 파일에서 바이러스가 탐지되었습니다.",
"jobId": "f89d9593-af1b-11f0-bf7b-7117406ac6f5",
"logReason": 990003,
"scanMessage": "Trojan.Jeki.2"
}

RESPONSE - [Exception] Vaccine inspection file size exceeded (200 OK)

{
"code": 1,
"msg": "파일 크기가 백신 검사 제한 크기를 초과하여 검사가 수행되지 않았습니다.",
"jobId": "18ae81f4-af1c-11f0-bf7b-7117406ac6f5",
"logReason": 990008
}

RESPONSE - [Exception] Vaccine Check Not Used (200 OK)

{
"code": 1,
"msg": "백신 검사 기능이 비활성화되어 있습니다.",
"jobId": "7f3e9a21-af1c-11f0-bf7b-7117406ac6f5",
"logReason": 990011
}

RESPONSE - [Exception] Duplicate Task ID Check Request (200 OK)

{
"code": 1,
"msg": "기존에 사용된 작업 ID로, 검사 요청을 수행하지 않았습니다. 다른 작업 ID를 사용해 주세요",
"jobId": "e3b8c7d2-af1c-11f0-bf7b-7117406ac6f5",
"logReason": 990010
}

RESPONSE - [Exception] Vaccine Inspection Queue Overflow (200 OK)

{
"code": 1,
"msg": "서버의 처리 대기열이 가득차 요청을 수락하지 못했습니다. 잠시 후 다시 시도해 주세요",
"jobId": "c4d7f3e2-af1c-11f0-bf7b-7117406ac6f5",
"logReason": 990015
}

RESPONSE - [Error] Vaccine Service Communication Error (200 OK)

{
"code": 2,
"msg": "백신 서비스와 통신 과정 중 오류가 발생하여 검사하지 못했습니다.",
"jobId": "d5c6dd09-af1c-11f0-bf7b-7117406ac6f5",
"logReason": 990007
}

RESPONSE - [Error] Vaccine Service Error (200 OK)

{
"code": 2,
"msg": "백신 엔진의 검사 과정중 오류가 발생하여 검사하지 못했습니다.",
"jobId": "a9f2c153-af1c-11f0-bf7b-7117406ac6f5",
"logReason": 990013
}

RESPONSE - [Error] Vaccine inspection request error (200 OK)

{
"code": 2,
"msg": "백신 서비스로 요청 전 오류가 발생하여 검사하지 못했습니다.",
"jobId": "b2d1e764-af1c-11f0-bf7b-7117406ac6f5",
"logReason": 990014
}

RESPONSE - [Error] Vaccine scan timeout (200 OK)

{
"code": 2,
"msg": "백신 엔진의 검사 시간이 초과되어 결과를 제공할 수 없습니다.",
"jobId": "6f5a2b91-af1c-11f0-bf7b-7117406ac6f5",
"logReason": 990016
}

RESPONSE - Access Denied (200 OK)

{
"code": 5,
"msg": "Sanitization Request Blocked by API Access control.",
"jobId": "52617927-af1c-11f0-bf7b-7117406ac6f5"
}

Processing Flow

  • This flow is provided to the customer for reference only X